# Class CIM_IKERule
extends CIM_SARule

IKERule contains the Conditions and Actions for IKE phase 1 negotiations or to specify static actions such as Discard.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Policy
|
+--CIM_PolicySet
|
+--CIM_PolicyRule
|
+--CIM_SARule
|
+--CIM_IKERule

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | IKERule contains the Conditions and Actions for IKE phase 1 negotiations or to specify static actions such as Discard.
MappingStrings | string | IPSP Policy Model.IETF|IKERule
UMLPackagePath | string | CIM::IPsecPolicy
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
IdentityContexts | string[] |

Description

string

An IP endpoint may have multiple identities for use in different situations. The IdentityContext property specifies the specific context/identities which pertain to this Rule. The property's function is similar to that of PolicyRoles. A context may be a VPN name or other identifier that selects the appropriate identity. IdentityContext is an array of strings. The multiple values in the array are logically ORed together in matching an IPNetworkIdentity's IdentityContext. Each value in the array may be a composition of multiple context names. When an array value is a composition, the individual values are logically ANDed together for evaluation purposes. The syntax is: <ContextName>[&&<ContextName>]* where the individual context names appear in alphabetical order (according to the collating sequence for UCS-2). So, for example, the values 'CompanyXVPN', 'CompanyYVPN&&TopSecret', 'CompanyZVPN&&Confidential' are possible contexts for a Rule. They are matched against an IPNetworkIdentity's IdentityContext. Any of the values may indicate a match and select an Identity, since the values in the array are logically ORed.

MappingStrings | string | IPSP Policy Model.IETF|IKERule.IdentityContexts
ModelCorrespondence | string | CIM_IdentityContext

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommonName | string | CIM_Policy
ConditionListType | uint16 | CIM_PolicyRule
CreationClassName | string | CIM_PolicyRule
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
Enabled | uint16 | CIM_PolicySet
ExecutionStrategy | uint16 | CIM_PolicyRule
InstanceID | string | CIM_ManagedElement
LimitNegotiation | uint16 | CIM_SARule
Mandatory | boolean | CIM_PolicyRule
PolicyDecisionStrategy | uint16 | CIM_PolicySet
PolicyRuleName | string | CIM_PolicyRule
Priority | uint16 | CIM_PolicyRule
RuleUsage | string | CIM_PolicyRule
SequencedActions | uint16 | CIM_PolicyRule
SystemCreationClassName | string | CIM_PolicyRule
SystemName | string | CIM_PolicyRule
PolicyKeywords | string[] | CIM_Policy
PolicyRoles | string[] | CIM_PolicySet

## Class Methods